- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OsiRowCut2 Class Reference

Row Cut Class which refers back to row which created it. More...

`#include <OsiRowCut.hpp>`

Inheritance diagram for OsiRowCut2:

[legend]
Collaboration diagram for OsiRowCut2:

[legend]
List of all members.

## Public Member Functions
Which row
int | whichRow () const
| Get row.
void | setWhichRow (int row)
| Set row.
Constructors and destructors
OsiRowCut2 & | operator= (const OsiRowCut2 &rhs)
| Assignment operator.
| OsiRowCut2 (const OsiRowCut2 &)
| Copy constructor.
virtual OsiRowCut * | clone () const
| Clone.
| OsiRowCut2 (int row=-1)
| Default Constructor.
virtual | ~OsiRowCut2 ()
| Destructor.
## Private Attributes
Private member data
int | whichRow_
| Which row.

## Detailed Description

Row Cut Class which refers back to row which created it.

It may be useful to strengthen a row rather than add a cut. To do this we need to know which row is strengthened. This trivial extension to OsiRowCut does that.

Definition at line 298 of file OsiRowCut.hpp.

## Constructor & Destructor Documentation

OsiRowCut2::OsiRowCut2 | ( | const OsiRowCut2 & |  | ) |

Copy constructor.

OsiRowCut2::OsiRowCut2 | ( | int | row = `-1` | ) |

Default Constructor.

virtual OsiRowCut2::~OsiRowCut2 | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

int OsiRowCut2::whichRow | ( |  | ) | const`[inline]`

Get row.

Definition at line 305 of file OsiRowCut.hpp.

References whichRow_.

void OsiRowCut2::setWhichRow | ( | int | row | ) | `[inline]`

Set row.

Definition at line 308 of file OsiRowCut.hpp.

References whichRow_.

OsiRowCut2& OsiRowCut2::operator= | ( | const OsiRowCut2 & | rhs | ) |

Assignment operator.

virtual OsiRowCut* OsiRowCut2::clone | ( |  | ) | const`[virtual]`

Clone.

Reimplemented from OsiRowCut.

## Member Data Documentation

int OsiRowCut2::whichRow_`[private]`

Which row.

Definition at line 336 of file OsiRowCut.hpp.

Referenced by setWhichRow(), and whichRow().

The documentation for this class was generated from the following file:

- /home/coin/SVN-release/Bcps-0.91.0/Osi/src/OsiRowCut.hpp